Package python-etk-git allready has patches applied to source

Rod Whitby rod at
Sun Sep 14 00:08:40 CEST 2008

Didier "Ptitjes" wrote:
> python-etk already has the two openembedded patches applied in 
> python-etk git. This makes build failing during patch.

Yes, this is the problem that Openmoko due to their decision to let versions
"float" with regard to packages like this.  It means that breakage like this
happens all the time and stays broken until someone notices it.

> Patches should be removed.

There is a notation to identify that patches should only be applied up to a
maximum revision, however since git has no ordering of revisions I doubt
that will help.

> Should I raise a bug in the openmoko or openembedded bugtracker ?

Openmoko, since you're building an org.openmoko.* branch.

-- Rod

More information about the community mailing list